.block-link {
	height: 60px;
	text-align: center;
	margin-bottom: 10px;
	background-color: #fff;
	padding-top: 25px;
	position: relative;

	& .container {
		position: relative;

		@media (--mobile) {
			margin-top: -14px;
		}
	}

	@media (--mobile) {
		padding-top: 22px;
		height: 50px;
	}
}

.block-link__link {
	display: inline-block;
	vertical-align: top;
	text-transform: uppercase;
	color: #1f1f1f;
	font-size: 12px;
	line-height: 12px;
	font-weight: bold;
	letter-spacing: 0.06em;
	transition: color 0.3s ease 0s;
	will-change: color;

	& svg {
		display: inline-block;
		vertical-align: top;
		fill: #1f1f1f;
		width: 15px;
		margin-left: 4px;
		transition: fill 0.3s ease 0s;
		will-change: fill;
	}

	&:hover {
		color: var(--color-main);

		& svg {
			fill: var(--color-main);
		}
	}

	@media (--mobile) {
		font-size: 12px;
		line-height: 12px;
	}
}

.block-link__pagination {
	margin: -8px 0 0;
	padding: 0;
	list-style: none;
	text-align: center;
	white-space: nowrap;
	font-size: 0;
}

.block-link__pagination-item {
	display: inline-block;
	vertical-align: top;
	height: 30px;
	width: 66px;
	position: relative;
	padding-left: 8px;
	font-size: 14px;
	line-height: 32px;
	font-weight: 800;
	color: #1f1f1f;
	letter-spacing: 0.06em;

	&:not(:first-child) {
		&::before {
			content: '';
			display: block;
			height: 100%;
			width: 8px;
			position: absolute;
			top: 0;
			left: 0;
			background-image: var(--pattern-green-dot);
			background-position: center center;
		}
	}

	@media (--mobile) {
		&:nth-child(3),
		&:nth-child(4) {
			display: none;
		}
	}
}

.block-link__pagination-link {
	display: block;
	width: 100%;
	height: 100%;
	color: #1f1f1f;
	transition: color 0.3s ease 0s;
	will-change: color;

	&:hover {
		color: var(--color-main);
	}
}

.block-link__pagination-arrow {
	position: absolute;
	top: 50%;
	width: 40px;
	height: 40px;
	display: block;
	opacity: 0.5;
	background-repeat: no-repeat;
	background-position: center center;

	& svg {
		width: 19px;
		height: 13px;
		position: absolute;
		top: 50%;
		left: 50%;
		margin: calc(13px / 2 * -1) 0 0 calc(19px / 2 * -1);
		transition: fill 0.3s ease 0s;
		will-change: fill;
	}

	&:hover svg {
		fill: var(--color-main);
	}

	&.active {
		opacity: 1;
	}
}

.block-link__pagination-last {
	right: 0;
	transform: translateY(-50%);
}

.block-link__pagination-prev {
	left: 0;
	transform: translateY(-50%) rotate(180deg);
}
